XMLDOMNodeList Class Referenceabstract

The XMLDOMNodeList interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented. More...

Inheritance diagram for XMLDOMNodeList:

## Public Member Functions

virtual int | getLength ()=0
virtual XMLDOMNodePtr | item (int index)=0
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

The XMLDOMNodeList interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented.

XMLDOMNodeList objects in the DOM are live.

The items in the XMLDOMNodeList are accessible via an integral index, starting from 0.

## Member Function Documentation

## getLength()

virtual int getLength | ( |  | ) |

pure virtual

## item()

virtual XMLDOMNodePtr item | ( | int | index | ) |

pure virtual

The documentation for this class was generated from the following file:

- xml.h